Class | Magick::ImageList
In: | lib/RMagick.rb ext/RMagick/rmmain.c
Parent: | Object

### Methods

* << <=> [] []= __map__ __map__! clear clone collect collect! compact compact! concat copy cur_image delay= delete delete_at delete_if dup eql? fill find_all from_blob indexes indices insert inspect is_an_image is_an_image_array iterations= last map! marshal_dump marshal_load method_missing new new_image nitems partition ping pop push read reject reject! replace respond_to? reverse reverse! reverse_each scene= select set_current shift slice slice! ticks_per_second= to_a uniq uniq! unshift values_at

### Included Modules

Comparable Enumerable

### Classes and Modules

Class Magick::ImageList::Montage

### External Aliases

length | -> | size
remap | -> | affinity
| ImageMagic used affinity in 6.4.3, switch to remap in 6.4.4.
respond_to? | -> | __respond_to__?
| Ensure respond_to? answers correctly when we are delegating to Image
display | -> | __display__

### Attributes

scene | [R] |

### Public Class methods

new(*filenames, &block)

Initialize new instances

### Public Instance methods

*(n)
<<(obj)
<=>(other)

Compare ImageLists Compare each image in turn until the result of a comparison is not 0. If all comparisons return 0, then

      return if A.scene != B.scene
      return A.length <=> B.length

[](*args)
[]=(*args)
__map__(&block)

Alias for collect

__map__!(&block)

Alias for collect!

clear()
clone()
collect(&block)

override Enumerable#collect

collect!(&block)
compact()
compact!()
concat(other)
copy()

Make a deep copy

cur_image()

Return the current image

delay=(d)

Set same delay for all images

delete(obj, &block)
delete_at(ndx)
delete_if(&block)
dup()
eql?(other)
fill(*args, &block)
find_all(&block)

Override Enumerable‘s find_all

from_blob(*blobs, &block)
indexes(*args)

Alias for values_at

indices(*args)

Alias for values_at

insert(index, *args)
inspect()

Call inspect for all the images

iterations=(n)

Set the number of iterations of an animated GIF

last(*args)
map!(&block)

Alias for collect!

marshal_dump()

Custom marshal/unmarshal for Ruby 1.8.

marshal_load(ary)
method_missing(methID, *args, &block)

The ImageList class supports the Magick::Image class methods by simply sending the method to the current image. If the method isn‘t explicitly supported, send it to the current image in the array. If there are no images, send it up the line. Catch a NameError and emit a useful message.

new_image(cols, rows, *fill, &info_blk)

Create a new image and add it to the end

nitems()
partition(&block)
ping(*files, &block)

Ping files and concatenate the new images

pop()
push(*objs)
read(*files, &block)

Read files and concatenate the new images

reject(&block)

override Enumerable‘s reject

reject!(&block)
replace(other)
respond_to?(methID, priv=false)
reverse()
reverse!()
reverse_each() {|image| ...}
scene=(n)

Allow scene to be set to nil

select(&block)

Alias for find_all

shift()
slice(*args)
slice!(*args)
ticks_per_second=(t)
to_a()
uniq()
uniq!(*args)
unshift(obj)

@scene -> new object

values_at(*args)

### Protected Instance methods

is_an_image(obj)
is_an_image_array(ary)

Ensure array is always an array of Magick::Image objects

set_current(current)

Find old current image, update scene number current is the id of the old current image.

[Validate]